$sourcePath = "SYSTEM\Setup\setupdiag\results"
$targetPath = "SOFTWARE\Onevinn\IpuResult"
$hive = [Microsoft.Win32.RegistryKey]::OpenBaseKey([Microsoft.Win32.RegistryHive]::LocalMachine, [Microsoft.Win32.RegistryView]::Registry64)
$sourcekey = $key.OpenSubKey($sourcePath)
$names = $sourcekey.GetValueNames()
$targetKey =  $hive.CreateSubKey($targetPath)

foreach ($name in $names) {
    $val = $sourcekey.GetValue($name)
    $targetKey.SetValue($name, $val, 1)
}

$resultCode = "0x00000001"

try {
    $tmpResult = $targetKey.GetValue("FailureDetails")
    $ind = $tmpResult.IndexOf("0x")
    $resultCode = $tmpResult.Substring($ind, 10)
}
catch { }

$targetKey.SetValue("ResultCode", "$resultCode", 1)
$targetKey.SetValue("LastStatus", "Failure", 1)
$result = Remove-Item -Path "$($env:ProgramData)\~IPUDrivers" -Recurse -Force -EA SilentlyContinue
$result = Remove-Item -Path "$($env:ProgramData)\~IPUCommands" -Recurse -Force -EA SilentlyContinue